package com.cloudcross.ssp.model;

import java.util.Date;

/**
 * 对应数据库的t_rpt_zone表
 * @author chenyou
 *
 */
public class RptZone {
	//点击数
	private Long click;
	//日期
	private Date date;
	//ecpm
	private Float ecpm;
	//小时
	private Integer hour;
	//主键
	private Long id;
	//曝光数
	private Long impression;
	//收入
	private Long income;
	//运营商id
	private Long operatorId;
	//pv
	private Long pv;
	//一天总的点击数
	private Long totalClick;
	//一天总的曝光数
	private Long totalImpression;
	//一天总的收入
	private Long totalIncome;
	//一天总的pv
	private Long totalPv;
	//一天总的uv
	private Long totalUv;
	//唯一点击数
	private Long uClick;
	//唯一曝光数
	private Long uImpression;
	//uv
	private Long uv;
	//广告位id
	private Long zoneId;
	public Long getClick() {
		return click;
	}
	public Date getDate() {
		return date;
	}
	public Float getEcpm() {
		return ecpm;
	}
	public Integer getHour() {
		return hour;
	}
	public Long getId() {
		return id;
	}
	public Long getImpression() {
		return impression;
	}
	public Long getIncome() {
		return income;
	}
	public Long getOperatorId() {
		return operatorId;
	}
	public Long getPv() {
		return pv;
	}
	public Long getTotalClick() {
		return totalClick;
	}
	public Long getTotalImpression() {
		return totalImpression;
	}
	public Long getTotalIncome() {
		return totalIncome;
	}
	public Long getTotalPv() {
		return totalPv;
	}
	public Long getTotalUv() {
		return totalUv;
	}
	public Long getuClick() {
		return uClick;
	}
	public Long getuImpression() {
		return uImpression;
	}
	public Long getUv() {
		return uv;
	}
	public Long getZoneId() {
		return zoneId;
	}
	public void setClick(Long click) {
		this.click = click;
	}
	public void setDate(Date date) {
		this.date = date;
	}
	public void setEcpm(Float ecpm) {
		this.ecpm = ecpm;
	}
	public void setHour(Integer hour) {
		this.hour = hour;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public void setImpression(Long impression) {
		this.impression = impression;
	}
	public void setIncome(Long income) {
		this.income = income;
	}
	public void setOperatorId(Long operatorId) {
		this.operatorId = operatorId;
	}
	public void setPv(Long pv) {
		this.pv = pv;
	}
	public void setTotalClick(Long totalClick) {
		this.totalClick = totalClick;
	}
	public void setTotalImpression(Long totalImpression) {
		this.totalImpression = totalImpression;
	}
	public void setTotalIncome(Long totalIncome) {
		this.totalIncome = totalIncome;
	}
	public void setTotalPv(Long totalPv) {
		this.totalPv = totalPv;
	}
	public void setTotalUv(Long totalUv) {
		this.totalUv = totalUv;
	}
	public void setuClick(Long uClick) {
		this.uClick = uClick;
	}
	public void setuImpression(Long uImpression) {
		this.uImpression = uImpression;
	}
	public void setUv(Long uv) {
		this.uv = uv;
	}
	public void setZoneId(Long zoneId) {
		this.zoneId = zoneId;
	}
	@Override
	public String toString() {
		return "RptZone [id=" + id + ", operatorId=" + operatorId + ", date="
				+ date + ", hour=" + hour + ", zoneId=" + zoneId + ", pv=" + pv
				+ ", uv=" + uv + ", impression=" + impression
				+ ", uImpression=" + uImpression + ", click=" + click
				+ ", uClick=" + uClick + ", ecpm=" + ecpm + ", income="
				+ income + ", totalPv=" + totalPv + ", totalUv=" + totalUv
				+ ", totalImpression=" + totalImpression + ", totalClick="
				+ totalClick + ", totalIncome=" + totalIncome + "]";
	}
}